<?php

class m120306_174330_tbl_candidatos_capacidades_funcionales extends CDbMigration
{
	public function up()
	{
            $this->createTable('tbl_candidatos_capacidades_funcionales', array(
                'id' => 'pk',
                'capacidad_id' => 'integer NOT NULL',
                'funcional_id' => 'integer NOT NULL',
                'meses_funcional' => 'integer',
            ));
            
            $this->addForeignKey('tbl_candidatos_capacidades_funcionales_1', 'tbl_candidatos_capacidades_funcionales', 'capacidad_id', 'tbl_candidatos_capacidades', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('tbl_candidatos_capacidades_funcionales_2', 'tbl_candidatos_capacidades_funcionales', 'funcional_id', 'tbl_perfiles_funcionales', 'id', 'CASCADE', 'RESTRICT');
        }

	public function down()
	{
            $this->dropForeignKey('tbl_candidatos_capacidades_funcionales_2', 'tbl_candidatos_capacidades_funcionales');
            $this->dropForeignKey('tbl_candidatos_capacidades_funcionales_1', 'tbl_candidatos_capacidades_funcionales');            
            $this->dropTable('tbl_candidatos_capacidades_funcionales');
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}